[jira] [Commented] (NUTCH-2739) indexer-elastic: Upgrade ES and migrate to REST client

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (NUTCH-2739) indexer-elastic: Upgrade ES and migrate to REST client

Tim Allison (Jira)

    [ https://issues.apache.org/jira/browse/NUTCH-2739?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16969334#comment-16969334 ]

ASF GitHub Bot commented on NUTCH-2739:
---------------------------------------

lewismc commented on issue #484: NUTCH-2739 : Upgrade ES and migrate to REST client
URL: https://github.com/apache/nutch/pull/484#issuecomment-551121259
 
 
   Thank you @balashashanka for this PR.
   I would be in favor of deprecating [indexer-elastic-rest](https://github.com/apache/nutch/tree/master/src/plugin/indexer-elastic-rest) in favor of this approach. Reasons being that this would enable us to close (mark as will not fix) both [NUTCH-2304](https://issues.apache.org/jira/browse/NUTCH-2304) and [NUTCH-2677](https://issues.apache.org/jira/browse/NUTCH-2677).
   We can also then cleanup [ivy.xml](https://github.com/apache/nutch/blob/master/ivy/ivy.xml) by removing the unnecessary dependencies associated with JEST.
 
----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


> indexer-elastic: Upgrade ES and migrate to REST client
> ------------------------------------------------------
>
>                 Key: NUTCH-2739
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2739
>             Project: Nutch
>          Issue Type: Improvement
>          Components: indexer, plugin
>    Affects Versions: 1.15
>            Reporter: Sebastian Nagel
>            Priority: Major
>             Fix For: 1.17
>
>
> The indexer-elastic plugin is based on 5.3.0 and should be upgraded to the most recent Elasticsearch version (7.3.0 or upwards).
> [TransportClient|https://www.elastic.co/guide/en/elasticsearch/client/java-api/7.3/transport-client.html] has been deprecated in ES 7.x and will be removed in 8.x. We should migrate to using the [REST client|https://www.elastic.co/guide/en/elasticsearch/client/java-rest/7.3/java-rest-high.html] and also check whether this would obsolete the indexer-elastic-rest plugin.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)